<a [routerLink]="router" [class.disabled]="!router">
  <ng-content select="[before]"></ng-content>
  <span class="content">
    <ng-content></ng-content>
  </span>
  <ng-content select="[after]"></ng-content>
</a>
